diff --git a/src/test/isolation/expected/merge-delete.out b/src/test/isolation/expected/merge-delete.out
index 1cb09f0e18..40e62901b7 100644
--- a/src/test/isolation/expected/merge-delete.out
+++ b/src/test/isolation/expected/merge-delete.out
@@ -79,9 +79,10 @@ step delete: DELETE FROM target t WHERE t.key = 1;
 step merge2: MERGE INTO target t USING (SELECT 1 as key, 'merge2a' as val) s ON s.key = t.key WHEN NOT MATCHED THEN INSERT VALUES (s.key, s.val) WHEN MATCHED THEN UPDATE set key = t.key + 1, val = t.val || ' updated by ' || s.val; <waiting ...>
 step c1: COMMIT;
 step merge2: <... completed>
-error in steps c1 merge2: ERROR:  could not serialize access due to concurrent update
 step select2: SELECT * FROM target;
-ERROR:  current transaction is aborted, commands ignored until end of transaction block
+key            val            
+
+1              merge2a        
 step c2: COMMIT;
 
 starting permutation: merge_delete merge2 c1 select2 c2
@@ -89,7 +90,8 @@ step merge_delete: MERGE INTO target t USING (SELECT 1 as key) s ON s.key = t.ke
 step merge2: MERGE INTO target t USING (SELECT 1 as key, 'merge2a' as val) s ON s.key = t.key WHEN NOT MATCHED THEN INSERT VALUES (s.key, s.val) WHEN MATCHED THEN UPDATE set key = t.key + 1, val = t.val || ' updated by ' || s.val; <waiting ...>
 step c1: COMMIT;
 step merge2: <... completed>
-error in steps c1 merge2: ERROR:  could not serialize access due to concurrent update
 step select2: SELECT * FROM target;
-ERROR:  current transaction is aborted, commands ignored until end of transaction block
+key            val            
+
+1              merge2a        
 step c2: COMMIT;
diff --git a/src/test/isolation/expected/merge-update.out b/src/test/isolation/expected/merge-update.out
index 5e2c8f00e5..7de328526f 100644
--- a/src/test/isolation/expected/merge-update.out
+++ b/src/test/isolation/expected/merge-update.out
@@ -25,9 +25,11 @@ step merge1: MERGE INTO target t USING (SELECT 1 as key, 'merge1' as val) s ON s
 step merge2a: MERGE INTO target t USING (SELECT 1 as key, 'merge2a' as val) s ON s.key = t.key WHEN NOT MATCHED THEN INSERT VALUES (s.key, s.val) WHEN MATCHED THEN UPDATE set key = t.key + 1, val = t.val || ' updated by ' || s.val; <waiting ...>
 step c1: COMMIT;
 step merge2a: <... completed>
-error in steps c1 merge2a: ERROR:  could not serialize access due to concurrent update
 step select2: SELECT * FROM target;
-ERROR:  current transaction is aborted, commands ignored until end of transaction block
+key            val            
+
+2              setup1 updated by merge1
+1              merge2a        
 step c2: COMMIT;
 
 starting permutation: merge1 merge2a a1 select2 c2
@@ -46,9 +48,11 @@ step merge1: MERGE INTO target t USING (SELECT 1 as key, 'merge1' as val) s ON s
 step merge2b: MERGE INTO target t USING (SELECT 1 as key, 'merge2b' as val) s ON s.key = t.key WHEN NOT MATCHED THEN INSERT VALUES (s.key, s.val) WHEN MATCHED AND t.key < 2 THEN UPDATE set key = t.key + 1, val = t.val || ' updated by ' || s.val; <waiting ...>
 step c1: COMMIT;
 step merge2b: <... completed>
-error in steps c1 merge2b: ERROR:  could not serialize access due to concurrent update
 step select2: SELECT * FROM target;
-ERROR:  current transaction is aborted, commands ignored until end of transaction block
+key            val            
+
+2              setup1 updated by merge1
+1              merge2b        ???
 step c2: COMMIT;
 
 starting permutation: merge1 merge2c c1 select2 c2
@@ -56,7 +60,10 @@ step merge1: MERGE INTO target t USING (SELECT 1 as key, 'merge1' as val) s ON s
 step merge2c: MERGE INTO target t USING (SELECT 1 as key, 'merge2c' as val) s ON s.key = t.key AND t.key < 2 WHEN NOT MATCHED THEN INSERT VALUES (s.key, s.val) WHEN MATCHED THEN UPDATE set key = t.key + 1, val = t.val || ' updated by ' || s.val; <waiting ...>
 step c1: COMMIT;
 step merge2c: <... completed>
-error in steps c1 merge2c: ERROR:  could not serialize access due to concurrent update
+1              merge2c        
 step select2: SELECT * FROM target;
-ERROR:  current transaction is aborted, commands ignored until end of transaction block
+key            val            
+
+2              setup1 updated by merge1
+???
 step c2: COMMIT;
